#include "empty-panel.h"

struct _EmptyPanel
{
	Panel parent_instance;
};

G_DEFINE_TYPE (EmptyPanel, empty_panel, panel_get_type())

static void
empty_panel_class_init(EmptyPanelClass* klass)
{
	GObjectClass* object_class = G_OBJECT_CLASS(klass);
	GtkWidgetClass* widget_class = GTK_WIDGET_CLASS(klass);
	PanelClass* panel_class = GINPUT_PANEL_CLASS(klass);

	gtk_widget_class_set_template_from_resource(widget_class, "/v/ginput/panel-empty.ui");
}

static void
empty_panel_init(EmptyPanel* self)
{
	gtk_widget_init_template(GTK_WIDGET(self));
}

Panel*
empty_panel_new(void)
{
    return g_object_new(empty_panel_get_type(), NULL);
}
